## hid-lg-g710-plus 0.1~git20240102+ds

=== src/kernel/Makefile ===

KVERSION = $(shell uname -r)
KDIR := /lib/modules/$(KVERSION)/build
PWD := $(shell pwd)

obj-m = hid-lg-g710-plus.o

default: build

build:
	make -C $(KDIR) M=$(PWD) modules
clean:
	make -C $(KDIR) M=$(PWD) clean
install:
	make -C $(KDIR) M=$(PWD) modules_install

=== src/userspace/Makefile ===
default: build

build:

install:

clean:

=== debian/changelog ===
hid-lg-g710-plus (0.1~git20240102+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1119090)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Sun, 26 Oct 2025 21:54:35 +0100

=== debian/control ===
Source: hid-lg-g710-plus
Section: kernel
Priority: optional
Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Standards-Version: 4.7.2
Homepage: https://github.com/wdouglass/logitech-g710-linux-driver
Vcs-Browser: https://salsa.debian.org/animux/hid-lg-g710-plus
Vcs-Git: https://salsa.debian.org/animux/hid-lg-g710-plus.git
Testsuite: autopkgtest-pkg-dkms

Package: hid-lg-g710-plus-dkms
Architecture: all
Depends: udev, ${misc:Depends}
Provides: hid-lg-g710-plus
Description: Kernel driver for the Logitech G710+ Keyboard
 Kernel driver to support the additional features of the Logitech G710+
 Keyboard.
 .
 The driver allows the keys M1-MR and G1-G6 to be used. Additional it
 provides the possibility to control the backlight of the keyboard and
 of the additional macro keys.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DH_VERBOSE = 1
VERSION = $(firstword $(subst ~, ,$(DEB_VERSION_UPSTREAM)))

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:

execute_before_dh_install:
	sed -e 's/#MODULE_VERSION#/$(VERSION)/g' debian/hid-lg-g710-plus-dkms.install.in > debian/hid-lg-g710-plus-dkms.install
	mkdir debian/tmp
	cp misc/.Xmodmap debian/tmp/Xmodmap

execute_before_dh_clean:
	-rm -f debian/hid-lg-g710-plus-dkms.install

=== debian/watch ===
version=4
opts="mode=git,pretty=0.1~git%cd,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/wdouglass/logitech-g710-linux-driver.git HEAD
